﻿Imports GrapeCity.Windows.SpreadSheet.Data

Partial Public Class MainPage
    Inherits UserControl

    Public Sub New()
        InitializeComponent()
    End Sub

    Private Sub UserControl_Loaded(sender As System.Object, e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
        Me.GcSpreadSheet1.Sheets.Clear()
        Me.GcSpreadSheet1.Sheets.Add(New MyWorksheet() With { _
         .RowCount = 10, _
         .ColumnCount = 8, _
         .DefaultColumnWidth = 100, _
         .DefaultRowHeight = 28})
    End Sub

    Private Sub GcSpreadSheet1_EnterCell(sender As Object, e As GrapeCity.Windows.SpreadSheet.UI.EnterCellEventArgs) Handles GcSpreadSheet1.EnterCell
        Me.GcSpreadSheet1.InvalidateRows(0, 1, SheetArea.ColumnHeader)
    End Sub
End Class
Public Class MyWorksheet
    Inherits Worksheet

    Public Overrides Function GetActualStyleInfo(row As Integer, column As Integer, sheetArea__1 As SheetArea) As StyleInfo
        Dim style = MyBase.GetActualStyleInfo(row, column, sheetArea__1)
        If column = Me.ActiveColumnIndex AndAlso sheetArea__1 = SheetArea.ColumnHeader Then
            style.Foreground = New SolidColorBrush(Colors.White)
            style.FontStyle = FontStyles.Italic
        End If
        Return style

    End Function

End Class
